# 64bit
# source http://downloads.xiph.org/releases/opus/opusfile-0.7.tar.gz

%global major		0
%global libname		%mklibname %{name} %{major}
%global develname	%mklibname %{name} -d

Name:		opusfile
Version:	0.9
Release:	%mkrel 1
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries
License:	BSD
URL:		http://www.opus-codec.org/
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	%{_lib}ogg-devel >= 1.3
BuildRequires:  %{_lib}openssl-devel
BuildRequires:	%{_lib}opus-devel >= 1.0.1

%description
%{summary}.

%package -n	%{libname}
Summary:	A high-level API for decoding and seeking within .opus files
Group:		System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
The libopusfile package provides a convenient high-level API for decoding and
basic manipulation of all Ogg Opus audio streams. It is implemented as a layer
on top of Xiph.Org's reference libogg and libopus libraries and provides several
sets of built-in routines for file/stream access, and may also use custom stream
I/O routines provided by the embedded environment. There are built-in I/O
routines provided for ANSI-compliant stdio (FILE *), memory buffers,
and URLs (including <file:> URLs, plus optionally <http:> and <https:> URLs).

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Files for development with %{name}.

%prep
%setup -q

%build
%configure2_5x \
  --disable-static
%make

%install
%__rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING AUTHORS
%{_libdir}/libopus*.so.*

%files -n %{develname}
%doc %{_docdir}/%{name}
%{_includedir}/opus
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libopus*.so

%clean
%__rm -rf %{buildroot}

%changelog
* Sat Sep 23 2017 bb2 <bb2> - 0.9-1pclos2017
- new version

* Wed Sep 20 2017 bb2 <bb2> - 0.7-2pclos2017
- rebuild against updates

* Sat Mar 05 2016 marcin82 <marcin82@vp.pl> 0.7-1pclos2016
- Initial build for PCLinuxOS
